
#define WIN32_LEAN_AND_MEAN

#include <windows.h>

#include <stdio.h>

extern char ** __stdcall get_argv(const char *cmdl, int *argc);

int main()
{
    char **argv;
    int argc;
    int i;

    /* parse command line and get pointer to argv array */
    argv = get_argv(GetCommandLine(), &argc);

    /* if argv is NULL, an error occured */
    if (argv == NULL) return -1;

    printf("--- %d command-line argument(s) ---\n", argc);

    for (i = 0; i < argc; ++i)
    {
        printf("%d\t%08X\t'%s'\n", i, argv[i], argv[i] ? argv[i] : "(null)");
    }

    return 0;
}
